Options (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class Options

    java.lang.Object
      |
      +--org.python.core.Options

public class Options
extends java.lang.Object

A class with static fields for each of the settable options. The options from registry and command line is copied into the fields here and the rest of Jyhton checks these fields.

Field Summary
`static boolean` | `caseok` If true, Jython will use the first module found on sys.path where java File.isFile() returns true.
`static boolean` | `deprecatedKeywordMangling` Setting this to true will support old 1.0 style keyword+"_" names.
`static boolean` | `importSite` When false the `site.py` will not be imported.
`static boolean` | `pollStandardIn` Setting this to true will cause the console to poll standard in.
`static java.lang.String` | `proxyDebugDirectory` A directory where the dynamicly generated classes are written.
`static boolean` | `respectJavaAccessibility` If true, JPython respects Java the accessibility flag for fields, methods, and constructors.
`static boolean` | `showJavaExceptions` when an exception occurs in Java code, and it is not caught, should the interpreter print out the Java exception in the traceback?
`static boolean` | `showPythonProxyExceptions` When true, python exception raised in overriden methods will be shown on stderr.
`static boolean` | `skipCompile` To force JIT compilation of Jython code -- should be unnecessary Setting this to true will cause jdk1.2rc1 to core dump on Windows
`static int` | `verbose` Set verbosity to Py.ERROR, Py.WARNING, Py.MESSAGE, Py.COMMENT, or Py.DEBUG for varying levels of informative messages from Jython.

Method Summary
`static void` | `setFromRegistry()` Initialize the static fields from the registry options.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### showJavaExceptions

    public static boolean showJavaExceptions

  when an exception occurs in Java code, and it is not caught, should the interpreter print out the Java exception in the traceback?

### showPythonProxyExceptions

    public static boolean showPythonProxyExceptions

  When true, python exception raised in overriden methods will be shown on stderr. This option is remarkable usefull when python is used for implementing CORBA server. Some CORBA servers will turn python exception (say a NameError) into an anonymous user exception without any stacktrace. Setting this option will show the stacktrace.

### skipCompile

    public static boolean skipCompile

  To force JIT compilation of Jython code -- should be unnecessary Setting this to true will cause jdk1.2rc1 to core dump on Windows

### pollStandardIn

    public static boolean pollStandardIn

  Setting this to true will cause the console to poll standard in. This might be helpful on systems without system-level threads.

### respectJavaAccessibility

    public static boolean respectJavaAccessibility

  If true, JPython respects Java the accessibility flag for fields, methods, and constructors. This means you can only access public members. Set this to false to access all members by toggling the accessible flag on the member.

### importSite

    public static boolean importSite

  When false the `site.py` will not be imported. This is only honored by the command line main class.

### verbose

    public static int verbose

  Set verbosity to Py.ERROR, Py.WARNING, Py.MESSAGE, Py.COMMENT, or Py.DEBUG for varying levels of informative messages from Jython. Normally this option is set from the command line.

### deprecatedKeywordMangling

    public static boolean deprecatedKeywordMangling

  Setting this to true will support old 1.0 style keyword+"_" names. This isn't needed any more due to improvements in the parser

### proxyDebugDirectory

    public static java.lang.String proxyDebugDirectory

  A directory where the dynamicly generated classes are written. Nothing is ever read from here, it is only for debugging purposes.

### caseok

    public static boolean caseok

  If true, Jython will use the first module found on sys.path where java File.isFile() returns true. Setting this to true have no effect on unix-type filesystems. On Windows/HPS+ systems setting it to true will enable Jython-2.0 behaviour.

Method Detail

### setFromRegistry

    public static void setFromRegistry()

  Initialize the static fields from the registry options.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage